function [ lambdas ] = lambdaGrid( lamUBnd, gridTypeLambda, pathLen )

% grid of tuning parameter
switch lower(gridTypeLambda)
    case('uniform')
        lambdas = 0:lamUBnd/pathLen:(lamUBnd-lamUBnd/pathLen);
        lambdas = lambdas(end:-1:1);
    case('exponential')
        logGrid = -10:(log2(lamUBnd)+10)/(pathLen-1):log2(lamUBnd);
        lamGrid = 2.^(logGrid);
        lambdas = lamGrid(end:-1:1);
    case('fusion')
        logGrid = -10:(log2(lamUBnd)+10)/(pathLen-1):log2(lamUBnd);
        lamGrid = 2.^(logGrid);
        lambdas = lamGrid(end:-1:1);
        
        nMid = pathLen/2;
        mid = lambdas(nMid);
        temp = 0:mid/nMid:(mid-mid/nMid);
        lambdas(pathLen/2+1:end) = temp(end:-1:1);
end

end
