function [TPR, FPR, ME] = performanceEvaluate(betaTrue, omegaTrue, betaEst, omegaEst, X)

% joint structure (do not care about exact values)
jointTrue = betaTrue.^2 + omegaTrue.^2;
jointEst = betaEst.^2 + omegaEst.^2;

% true positive rate
TPR = nnz(jointTrue~=0 & jointEst~=0) / nnz(jointTrue);

% false positive rate
FPR = nnz(jointTrue==0 & jointEst~=0) / nnz(jointTrue==0);

% model error
ME = trace((betaTrue-betaEst)'*(X'*X)*(betaTrue-betaEst));

end