function [X, Y, valX, valY, tstX, tstY, noise] = timeSeries( Beta, Sigma, d, n, valN, tstN)

% This function generates the time series data following
% x(t) = x(t-1)*Beta + epsilon, where epsilon~N(0,Sigma)
% given Beta and Sigma

burnN = 2*n;
totN = burnN + n + valN + tstN+1;
noise = zeros(totN-1, d);

%% generate time series
X = zeros(totN,d);
X(1,:) = randn(1,d);
for j = 1:totN-1
    nv = mvnrnd(zeros(1,d),Sigma,1);
    X(j+1,:) = X(j,:)*Beta+nv;
    noise(j, :) = nv;
end

X(1:burnN,:)=[]; noise(1:burnN,:)=[]; % remove burning in data
allDataX = X(1:end-1,:);
allDataY = X(2:end,:);

valX = allDataX((n+1):(n+valN), :); tstX = allDataX((n+valN+1):end, :);  X = allDataX(1:n,:); noise = noise(1:n,:);
valY = allDataY((n+1):(n+valN), :); tstY = allDataY((n+valN+1):end, :);  Y = allDataY(1:n,:);
end